GWT 2.7.0

## com.google.web.bindery.requestfactory.shared
Interface InstanceRequest<P extends BaseProxy,T>

Type Parameters:
  `P` - the instance type of BaseProxy
  `T` - the type eventually returned by the method invocation

    public interface InstanceRequest<P extends BaseProxy,T>

Used to call instance methods. Note that this does not extend `Request` — rather it vends one. There is no way to get an instance method's `Request.fire()` without assigning an instance by calling `using(P)`.

Method Summary
`Request<T>` | `using(P instanceObject)` Provide the instance on which the request will be invoked.

Method Detail

### using

    Request<T> using(P instanceObject)

  Provide the instance on which the request will be invoked.

  Parameters:
    `instanceObject` - an `BaseProxy` instance of type P
  Returns:
    an instance of `Request`<T>

GWT 2.7.0